Microsoft.Build.Engine 2.0.0.0 System.Object

In a system of project-to-project dependencies, the maintains the building projects, making it possible to avoid building the same target in the same project more than once in a given build.

Represents the vstecmsbuild engine.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class that has the specified .

  The path to MSBuild.exe.
  2.0.0.0
- Property
  System.String To be added.

  In vstecmsbuild 3.5, the "BinPath" is superseded by the "ToolsPath." Therefore, in the .Targets file, use MSBuildToolsPath rather than MBBuildBinPath. In the vstecmsbuild object model, "BinPath" relates to the Toolset you are running. The steps to get the path from the build engine are as follows:

  Get the default tools version.

  Get the Toolset map.

  Find the Toolset, based on the string in the map.

  Get the Toolset.

  Get the path from the Toolset.

  This procedure is not required if you are creating the engine. In that case, you already know the Toolset path.

  Because projects in a solution can use different Toolsets, you can also obtain the MSBuild.exe path from the project, as follows.

  `project.EvaluatedProperties[ReservedPropertyNames.toolsPath].FinalValue`

  For more information about Toolsets, see MSBuild Tool Set (ToolsVersion).

  Gets or sets the path to MSBuild.exe.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the building of targets in the project is enabled.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Builds the specified .

  true if the build was successful; otherwise, false.

  The to build. 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Builds the specified target of the specified .

  true if the build was successful; otherwise, false.

  The to build. The Name attribute of the Target element to build. 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Builds the specified targets of the specified .

  true if the build was successful; otherwise, false.

  The to build. An array that contains the Name attributes of the Target elements to build. 2.0.0.0
- Method
  System.Boolean `` `` `` To be added.

  Builds the specified targets of the specified , and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The to build. An array that contains the Name attributes of the Target elements to build. The outputs of the built targets. This parameter can be a null reference (Nothing in vbprvb) if outputs are not required. 2.0.0.0
- Method
  System.Boolean `` `` `` `` To be added.

  Builds the specified targets of the specified with the specified , and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The to build. An array that contains the Name attributes of the Target elements to build. The outputs of the built targets. This parameter can be a null reference (Nothing in vbprvb) if outputs are not required. The to apply to the build. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Loads the specified project file and builds the project.

  true if the build was successful; otherwise, false.

  The project file to load and build. 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Loads the specified project file and builds the specified target of the project.

  true if the build was successful; otherwise, false.

  The project file to load and build. The Name attribute of the Target element to build. 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Loads the specified project file and builds the specified targets of the project.

  true if the build was successful; otherwise, false.

  The project file to load and build. An array that contains the Name attributes of the Target elements to build. 2.0.0.0
- Method
  System.Boolean `` `` `` To be added.

  Loads the specified project file and builds the specified targets of the project with the specified , and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The project file to load and build. An array that contains the Name attributes of the Target elements to build. The to apply to the build. 2.0.0.0
- Method
  System.Boolean `` `` `` `` To be added.

  Loads the specified project file and builds the specified targets of the project with the specified , and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The project file to load and build. An array that contains the Name attributes of the Target elements to build. The to apply to the build. The outputs of the built targets. This parameter can be a null reference (Nothing in vbprvb) if outputs are not required. 2.0.0.0
- Method
  System.Boolean `` `` `` `` `` To be added.

  Loads the specified project file and builds the specified targets of the project with the specified and , and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The project file to load and build. An array that contains the Name attributes of the Target elements to build. The to apply to the build. The outputs of the built targets. This parameter can be a null reference (Nothing in vbprvb) if outputs are not required. The to apply to the build. 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.Project To be added.

  Creates an empty object that is associated with this .

  The created object.

  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.Project `` To be added.

  Returns the object that is associated with the specified project file.

  The object that associated with the specified project file. If no object is associated with the specified project file, the method returns a null reference (Nothing in vbprvb).

  The fully qualified file path to the project file of the object. 2.0.0.0
- Property
  Microsoft.Build.BuildEngine.Engine To be added. To be added.

  Gets the that is global (shared) for this .

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildPropertyGroup To be added.

  Global properties are properties that are set by using the /property switch on the command line, or properties that are set by the integrated development environment (IDE) before a project is built. These global properties are applied to all projects that are built by using this .

  Gets or sets a collection of the global properties for the project.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether to only log critical events, such as warnings and errors, during the build.

  2.0.0.0
- Method
  System.Void ``

  When a logger is registered with the , it receives all build events.

  To unregister loggers, use the method.

  Registers the specified logger with the .

  The logger to associate with the . 2.0.0.0
- Method
  System.Void To be added.

  Removes all references to objects from the .

  2.0.0.0
- Method
  System.Void `` To be added.

  Removes the reference to the specified from the .

  The to remove from the . 2.0.0.0
- Method
  System.Void

  The method calls the method on every registered logger before unregistering each of them from the .

  Unregisters all loggers from the .

  2.0.0.0
- Property
  System.Version To be added. To be added.

  Gets the version of the .

  2.0.0.0